STRUCT RIO_SCAN_NODE(9)

NAME
struct_rio_scan_node - list node to register RapidIO enumeration and discovery methods with RapidIO core.

SYNOPSIS

struct rio_scan_node {
  int mport_id;
  struct list_head node;
  struct rio_scan * ops;
};

MEMBERS

mport_id
    ID of an mport (net) serviced by this enumerator

node
    node in global list of registered enumerators

ops
    RIO enumeration and discovery operations

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT